# Fn<> MakeUnsigned
Convert an integral value into its unsigned variant.

Defined in | <seqan/basic.h>
Signature | `MakeUnsigned<T>::Type;`

## Template Parameters

`T` | Input integral type.

## Return Values

`Type` | The unsigned version of T.

## Detailed Description

Returns T itself if T is not signed.

### Remarks

The function is defined for all builtin integral types and with a fallback to that returns T if T is not a built-in integral value. You can specialize the metafunction for your custom types.

#### Dox Sources

    /*!
     * @mfn MakeUnsigned
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Convert an integral value into its unsigned variant.
     *
     * @signature MakeUnsigned<T>::Type;
     *
     * @tparam T Input integral type.
     *
     * @return Type The unsigned version of T.
     *
     * Returns T itself if T is not signed.
     *
     * @section Remarks
     *
     * The function is defined for all builtin integral types and with a fallback to
     * that returns T if T is not a built-in integral value. You can specialize the
     * metafunction for your custom types.
     */